LibreOffice: XVersionedSchemaSupplier Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference

Loading...
Searching...
No Matches
XVersionedSchemaSupplier Interface Reference

provides access to versioned configuration component schemas. More...

`import "XVersionedSchemaSupplier.idl";`

Inheritance diagram for XVersionedSchemaSupplier:

## Public Member Functions
string | getSchemaVersion ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| Returns the schema version for a particular component.
Public Member Functions inherited from XSchemaSupplier
XSchema | getComponentSchema ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| Returns the schema information (component + templates) for a particular component.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides access to versioned configuration component schemas.

Since
  OOo 2.0

## Member Function Documentation

## ◆ getSchemaVersion()

string getSchemaVersion | ( | [in] string | aComponent | ) |
raises | ( | BackendAccessException,
|  | com::sun::star::lang::IllegalArgumentException ) |  |  |

Returns the schema version for a particular component.

Parameters

  aComponent | component whose schema version will be determined

Returns
  a string that identifies the schema version for the given component.

The format of the version string is arbitrary. No meaning should be attached to it, unless an implementing service defines one. If no version can be determined, an empty string may be returned.

Clients may assume that all instances of a schema with the same version are identical. The converse is not true. In particular an implementation may return the same version string for all schemas it supplies (i.e. return a version for the complete schema, including all components)

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the component identifier is invalid.
  com::sun::star::configuration::backend::BackendAccessException | if an error occurs while accessing the version data.

The documentation for this interface was generated from the following file:

- com/sun/star/configuration/backend/XVersionedSchemaSupplier.idl